{% if request.user.is_authenticated %}
<a href="{% url 'cart' %}" id="menu-cart-button" class="relative text-ctp-text hover:text-ctp-pink">
  {% else %}
  <a href="{% url 'login' %}" id="menu-cart-button" class="relative text-ctp-text hover:text-ctp-pink">
    {% endif %}
    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor"
      class="w-6 h-6">
      <path stroke-linecap="round" stroke-linejoin="round"
        d="M15.75 10.5V6a3.75 3.75 0 1 0-7.5 0v4.5m11.356-1.993 1.263 12c.07.665-.45 1.243-1.119 1.243H4.25a1.125 1.125 0 0 1-1.12-1.243l1.264-12A1.125 1.125 0 0 1 5.513 7.5h12.974c.576 0 1.059.435 1.119 1.007ZM8.625 10.5a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm7.5 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Z" />
    </svg>

    <span
      class="p-1 px-1 absolute -top-2 -right-1 bg-gradient-to-r from-ctp-green to-ctp-sapphire text-ctp-base text-xs font-semibold rounded-full">
      {{ cart | length }}
    </span>
  </a>
